---
id: getting-up-and-running
title: Getting up and running
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

## Start using Docker Compose

Now we have prepared all the requirements to run the FSC reference implementation, we can start all components using Docker Compose.

Set the hostname of the Inway and Manager. Ensure you replace the domain with your own domain name. And this name corresponds with the `CN` when retrieving the demo certificate.

<Tabs
    groupId="operating-systems-environment-variables"
    defaultValue="mac-linux"
    values={[
      { label: 'Mac & Linux', value: 'mac-linux' },
      { label: 'Windows', value: 'windows' },
    ]}
  >
<TabItem value="mac-linux">

```bash
export INWAY_SELF_ADDRESS="https://<your-inway-domain>:443"
export MANAGER_SELF_ADDRESS="https://<your-manager-domain>:8443"
```

</TabItem>
<TabItem value="windows">

```bash
$env:INWAY_SELF_ADDRESS = 'https://<your-inway-domain>:443'
$env:MANAGER_SELF_ADDRESS = 'https://<your-manager-domain>:8443'
```

</TabItem>


</Tabs>

Start all components by running:

```bash
docker-compose up -d
```

This will start PostgreSQL and the required FSC reference implementation components.

The components are configured using environment variables which in this guide are set in `docker-compose.yml`.

At last, let's verify if all the components are up and running:

```
docker-compose ps
```

It might take a while for all components to become healthy.
If after a while one or more components are not running, you can inspect the logs for any errors.

## Access the Controller

You can access the Controller by opening `http://localhost:8080/contracts` in your browser.
When you do you should see an overview of your Contracts.

## Controller UI overview

On the left you will find the main navigation which separates the UI in several pages:

- **Directory**: Lists all available services in the [demo directory](https://directory-ui.demo.fsc.nlx.io). This is also the place where you can request access to another service.
- **Services**: Shows a list of your services. You can also register new services here.
- **Contracts**: Shows an overview of Contracts on which you participate as a Peer. From here you can also create a new Contract.
- **Logs**: Lists the transaction logs for your FSC installation.
- **Audit Logs**: Lists the audit logs for your FSC installation.

## Transaction log

The transaction log is also included with this setup. For every request made through your outway or inway, a record is created in the transaction log.
To view the content of the transaction log run the following command:

```bash
docker-compose exec postgres psql -U postgres -d fsc_txlog -c "select * from transactionlog.records;"
```

## Audit Log

The audit log is also included with this setup. For every performed action that results in a change in the FSC configuration an Audit log record is created. Examples of actions that change the FSC configuration are the creation of a new Service or Contract.443
To view the content of the audit log run the follow ing command:

```bash
docker-compose exec postgres psql -U postgres -d fsc_auditlog -c "select * from auditlog.records;"
```

## In sum

So far we have:
- Started all components using Docker Compose
- Logged in to the Controller UI
